# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-restauth
%global with_python3 1

Name:           python-module-restauth
Version:        0.5.1
Release:        alt3_7
Summary:        Reference implementation of RestAuth specification in Python
Group:          Development/Python
License:        GPLv3+
URL:            https://python.restauth.net/
Source0:        https://python.restauth.net/download/%{oldname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-sphinx
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3
Source44: import.info
# skip not found
%filter_from_requires /^python....RestAuthCommon./d

%description
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure python and generally works with
Python 2.6 or later (including Python 3).

%if 0%{?with_python3}
%package -n python3-module-restauth
Summary:        Reference implementation of RestAuth specification in Python
Group:          Development/Python
Requires:       python3-module-restauth-common

%description -n python3-module-restauth
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure Python and generally works with
Python 2.6 or later (including Python 3).

%endif # if with_python3

%package -n python-module-restauth-doc
Summary:        RestAuth Documentation
Group:          Documentation

%description -n python-module-restauth-doc
Documentation for RestAuth

%prep
%setup -n %{oldname}-%{version} -q

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd
%endif # with_python3

%{__python} setup.py build_doc

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}/usr/share/doc/*
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

# Remove shebangs from examples and make them non-executable
for f in examples/*.py; do
    sed '/\/usr\/bin\/env/d' $f > $f.new &&
    touch -r $f $f.new && mv $f.new $f
    chmod -x $f
done

%files
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python_sitelibdir_noarch}/*

%if 0%{?with_python3}
%files -n python3-module-restauth
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python3_sitelibdir_noarch}/*
%endif # with_python3

%files -n python-module-restauth-doc
%doc html examples

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt3_7
- fixed build

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt2_7
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt2_6
- fixed -common

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_6
- initial fc import

